org.eclipse.oomph.resources.impl

## Class ResourcesPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.resources.impl.ResourcesPackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, ResourcesPackage

      public class ResourcesPackageImpl
      extends EPackageImpl
      implements ResourcesPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.resources.ResourcesPackage

      `ResourcesPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.resources.ResourcesPackage

      `BACKEND_CONTAINER, ECLIPSE_PROJECT_FACTORY, ECLIPSE_PROJECT_FACTORY___CREATE_PROJECT__BACKENDCONTAINER_BACKENDCONTAINER_IPROGRESSMONITOR, ECLIPSE_PROJECT_FACTORY___GET_ANNOTATION__STRING, ECLIPSE_PROJECT_FACTORY___IS_EXCLUDED_PATH__BACKENDCONTAINER_BACKENDCONTAINER, ECLIPSE_PROJECT_FACTORY__ANNOTATIONS, ECLIPSE_PROJECT_FACTORY__EXCLUDED_PATHS, ECLIPSE_PROJECT_FACTORY_FEATURE_COUNT, ECLIPSE_PROJECT_FACTORY_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MAVEN_PROJECT_FACTORY, MAVEN_PROJECT_FACTORY___CREATE_PROJECT__BACKENDCONTAINER_BACKENDCONTAINER_IPROGRESSMONITOR, MAVEN_PROJECT_FACTORY___GET_ANNOTATION__STRING, MAVEN_PROJECT_FACTORY___IS_EXCLUDED_PATH__BACKENDCONTAINER_BACKENDCONTAINER, MAVEN_PROJECT_FACTORY__ANNOTATIONS, MAVEN_PROJECT_FACTORY__EXCLUDED_PATHS, MAVEN_PROJECT_FACTORY_FEATURE_COUNT, MAVEN_PROJECT_FACTORY_OPERATION_COUNT, MULTI_STATUS, PROGRESS_MONITOR, PROJECT_FACTORY, PROJECT_FACTORY___CREATE_PROJECT__BACKENDCONTAINER_BACKENDCONTAINER_IPROGRESSMONITOR, PROJECT_FACTORY___GET_ANNOTATION__STRING, PROJECT_FACTORY___IS_EXCLUDED_PATH__BACKENDCONTAINER_BACKENDCONTAINER, PROJECT_FACTORY__ANNOTATIONS, PROJECT_FACTORY__EXCLUDED_PATHS, PROJECT_FACTORY_FEATURE_COUNT, PROJECT_FACTORY_OPERATION_COUNT, PROJECT_HANDLER, SOURCE_LOCATOR, SOURCE_LOCATOR___GET_ANNOTATION__STRING, SOURCE_LOCATOR___HANDLE_PROJECTS__ELIST_PROJECTHANDLER_MULTISTATUS_IPROGRESSMONITOR, SOURCE_LOCATOR___LOAD_PROJECT__ELIST_BACKENDCONTAINER_IPROGRESSMONITOR, SOURCE_LOCATOR___MATCHES__IPROJECT, SOURCE_LOCATOR__ANNOTATIONS, SOURCE_LOCATOR__EXCLUDED_PATHS, SOURCE_LOCATOR__LOCATE_NESTED_PROJECTS, SOURCE_LOCATOR__PREDICATES, SOURCE_LOCATOR__PROJECT_FACTORIES, SOURCE_LOCATOR__ROOT_FOLDER, SOURCE_LOCATOR_FEATURE_COUNT, SOURCE_LOCATOR_OPERATION_COUNT, XML_PROJECT_FACTORY, XML_PROJECT_FACTORY___CREATE_PROJECT__BACKENDCONTAINER_BACKENDCONTAINER_IPROGRESSMONITOR, XML_PROJECT_FACTORY___GET_ANNOTATION__STRING, XML_PROJECT_FACTORY___IS_EXCLUDED_PATH__BACKENDCONTAINER_BACKENDCONTAINER, XML_PROJECT_FACTORY__ANNOTATIONS, XML_PROJECT_FACTORY__EXCLUDED_PATHS, XML_PROJECT_FACTORY_FEATURE_COUNT, XML_PROJECT_FACTORY_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `EDataType` | `getBackendContainer()`
    `EClass` | `getEclipseProjectFactory()`
    `EClass` | `getMavenProjectFactory()`
    `EDataType` | `getMultiStatus()`
    `EDataType` | `getProgressMonitor()`
    `EOperation` | `getProjectFactory__CreateProject__BackendContainer_BackendContainer_IProgressMonitor()`
    `EOperation` | `getProjectFactory__IsExcludedPath__BackendContainer_BackendContainer()`
    `EAttribute` | `getProjectFactory_ExcludedPaths()`
    `EClass` | `getProjectFactory()`
    `EDataType` | `getProjectHandler()`
    `ResourcesFactory` | `getResourcesFactory()`
    `EOperation` | `getSourceLocator__HandleProjects__EList_ProjectHandler_MultiStatus_IProgressMonitor()`
    `EOperation` | `getSourceLocator__LoadProject__EList_BackendContainer_IProgressMonitor()`
    `EOperation` | `getSourceLocator__Matches__IProject()`
    `EAttribute` | `getSourceLocator_ExcludedPaths()`
    `EAttribute` | `getSourceLocator_LocateNestedProjects()`
    `EReference` | `getSourceLocator_Predicates()`
    `EReference` | `getSourceLocator_ProjectFactories()`
    `EAttribute` | `getSourceLocator_RootFolder()`
    `EClass` | `getSourceLocator()`
    `EClass` | `getXMLProjectFactory()`
    `static ResourcesPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static ResourcesPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `ResourcesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `ResourcesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getSourceLocator

          public EClass getSourceLocator()

      Specified by:
        `getSourceLocator` in interface `ResourcesPackage`
      Returns:
        the meta object for class 'Source Locator'.
      See Also:
        `SourceLocator`
      Generated

    - #### getSourceLocator_RootFolder

          public EAttribute getSourceLocator_RootFolder()

      Specified by:
        `getSourceLocator_RootFolder` in interface `ResourcesPackage`
      Returns:
        the meta object for the attribute 'Root Folder'.
      See Also:
        `SourceLocator.getRootFolder()`, `ResourcesPackage.getSourceLocator()`
      Generated

    - #### getSourceLocator_ExcludedPaths

          public EAttribute getSourceLocator_ExcludedPaths()

      Specified by:
        `getSourceLocator_ExcludedPaths` in interface `ResourcesPackage`
      Returns:
        the meta object for the attribute list 'Excluded Paths'.
      See Also:
        `SourceLocator.getExcludedPaths()`, `ResourcesPackage.getSourceLocator()`
      Generated

    - #### getSourceLocator_ProjectFactories

          public EReference getSourceLocator_ProjectFactories()

      Specified by:
        `getSourceLocator_ProjectFactories` in interface `ResourcesPackage`
      Returns:
        the meta object for the containment reference list 'Project Factories'.
      See Also:
        `SourceLocator.getProjectFactories()`, `ResourcesPackage.getSourceLocator()`
      Generated

    - #### getSourceLocator_LocateNestedProjects

          public EAttribute getSourceLocator_LocateNestedProjects()

      Specified by:
        `getSourceLocator_LocateNestedProjects` in interface `ResourcesPackage`
      Returns:
        the meta object for the attribute 'Locate Nested Projects'.
      See Also:
        `SourceLocator.isLocateNestedProjects()`, `ResourcesPackage.getSourceLocator()`
      Generated

    - #### getSourceLocator_Predicates

          public EReference getSourceLocator_Predicates()

      Specified by:
        `getSourceLocator_Predicates` in interface `ResourcesPackage`
      Returns:
        the meta object for the containment reference list 'Predicates'.
      See Also:
        `SourceLocator.getPredicates()`, `ResourcesPackage.getSourceLocator()`
      Generated

    - #### getSourceLocator__Matches__IProject

          public EOperation getSourceLocator__Matches__IProject()

      Specified by:
        `getSourceLocator__Matches__IProject` in interface `ResourcesPackage`
      Returns:
        the meta object for the 'Matches' operation.
      See Also:
        `SourceLocator.matches(org.eclipse.core.resources.IProject)`
      Generated

    - #### getSourceLocator__LoadProject__EList_BackendContainer_IProgressMonitor

          public EOperation getSourceLocator__LoadProject__EList_BackendContainer_IProgressMonitor()

      Specified by:
        `getSourceLocator__LoadProject__EList_BackendContainer_IProgressMonitor` in interface `ResourcesPackage`
      Returns:
        the meta object for the 'Load Project' operation.
      See Also:
        `SourceLocator.loadProject(org.eclipse.emf.common.util.EList, org.eclipse.oomph.resources.backend.BackendContainer, org.eclipse.core.runtime.IProgressMonitor)`
      Generated

    - #### getSourceLocator__HandleProjects__EList_ProjectHandler_MultiStatus_IProgressMonitor

          public EOperation getSourceLocator__HandleProjects__EList_ProjectHandler_MultiStatus_IProgressMonitor()

      Specified by:
        `getSourceLocator__HandleProjects__EList_ProjectHandler_MultiStatus_IProgressMonitor` in interface `ResourcesPackage`
      Returns:
        the meta object for the 'Handle Projects' operation.
      See Also:
        `SourceLocator.handleProjects(org.eclipse.emf.common.util.EList, org.eclipse.oomph.resources.ProjectHandler, org.eclipse.core.runtime.MultiStatus, org.eclipse.core.runtime.IProgressMonitor)`
      Generated

    - #### getProjectFactory

          public EClass getProjectFactory()

      Specified by:
        `getProjectFactory` in interface `ResourcesPackage`
      Returns:
        the meta object for class 'Project Factory'.
      See Also:
        `ProjectFactory`
      Generated

    - #### getProjectFactory_ExcludedPaths

          public EAttribute getProjectFactory_ExcludedPaths()

      Specified by:
        `getProjectFactory_ExcludedPaths` in interface `ResourcesPackage`
      Returns:
        the meta object for the attribute list 'Excluded Paths'.
      See Also:
        `ProjectFactory.getExcludedPaths()`, `ResourcesPackage.getProjectFactory()`
      Generated

    - #### getProjectFactory__CreateProject__BackendContainer_BackendContainer_IProgressMonitor

          public EOperation getProjectFactory__CreateProject__BackendContainer_BackendContainer_IProgressMonitor()

      Specified by:
        `getProjectFactory__CreateProject__BackendContainer_BackendContainer_IProgressMonitor` in interface `ResourcesPackage`
      Returns:
        the meta object for the 'Create Project' operation.
      See Also:
        `ProjectFactory.createProject(org.eclipse.oomph.resources.backend.BackendContainer, org.eclipse.oomph.resources.backend.BackendContainer, org.eclipse.core.runtime.IProgressMonitor)`
      Generated

    - #### getProjectFactory__IsExcludedPath__BackendContainer_BackendContainer

          public EOperation getProjectFactory__IsExcludedPath__BackendContainer_BackendContainer()

      Specified by:
        `getProjectFactory__IsExcludedPath__BackendContainer_BackendContainer` in interface `ResourcesPackage`
      Returns:
        the meta object for the 'Is Excluded Path' operation.
      See Also:
        `ProjectFactory.isExcludedPath(org.eclipse.oomph.resources.backend.BackendContainer, org.eclipse.oomph.resources.backend.BackendContainer)`
      Generated

    - #### getXMLProjectFactory

          public EClass getXMLProjectFactory()

      Specified by:
        `getXMLProjectFactory` in interface `ResourcesPackage`
      Returns:
        the meta object for class 'XML Project Factory'.
      See Also:
        `XMLProjectFactory`
      Generated

    - #### getEclipseProjectFactory

          public EClass getEclipseProjectFactory()

      Specified by:
        `getEclipseProjectFactory` in interface `ResourcesPackage`
      Returns:
        the meta object for class 'Eclipse Project Factory'.
      See Also:
        `EclipseProjectFactory`
      Generated

    - #### getMavenProjectFactory

          public EClass getMavenProjectFactory()

      Specified by:
        `getMavenProjectFactory` in interface `ResourcesPackage`
      Returns:
        the meta object for class 'Maven Project Factory'.
      See Also:
        `MavenProjectFactory`
      Generated

    - #### getProjectHandler

          public EDataType getProjectHandler()

      Specified by:
        `getProjectHandler` in interface `ResourcesPackage`
      Returns:
        the meta object for data type 'Project Handler'.
      See Also:
        `ProjectHandler`
      Generated

    - #### getBackendContainer

          public EDataType getBackendContainer()

      Specified by:
        `getBackendContainer` in interface `ResourcesPackage`
      Returns:
        the meta object for data type 'Backend Container'.
      See Also:
        `BackendContainer`
      Generated

    - #### getMultiStatus

          public EDataType getMultiStatus()

      Specified by:
        `getMultiStatus` in interface `ResourcesPackage`
      Returns:
        the meta object for data type 'Multi Status'.
      See Also:
        `MultiStatus`
      Generated

    - #### getProgressMonitor

          public EDataType getProgressMonitor()

      Specified by:
        `getProgressMonitor` in interface `ResourcesPackage`
      Returns:
        the meta object for data type 'Progress Monitor'.
      See Also:
        `IProgressMonitor`
      Generated

    - #### getResourcesFactory

          public ResourcesFactory getResourcesFactory()

      Specified by:
        `getResourcesFactory` in interface `ResourcesPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html